<!DOCTYPE html>
<%--
 Copyright (c) 2011, 2012 IBM Corporation and others.

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 and Eclipse Distribution License v. 1.0 which accompanies this distribution.

 The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 and the Eclipse Distribution License is available at
 http://www.eclipse.org/org/documents/edl-v10.php.

 Contributors:

  Sam Padgett     - initial API and implementation
  Michael Fiedler - adapted for OSLC4J
  Jad El-khoury   - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)
  Frederic Loiret - updated JSP files for generated HTML pages and generated OSLC UI Previews

 This file is generated by org.eclipse.lyo.oslc4j.codegenerator
--%>

<%@ page import="org.eclipse.lyo.oslc4j.core.model.ServiceProviderCatalog" %>
<%@ page import="org.eclipse.lyo.oslc4j.core.model.ServiceProvider" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%-- Not needed for now
<%@ page import="se.kth.md.assume.adaptors.pror.ProRJSPHelper" %>
--%>
<%@ page import="se.kth.md.assume.adaptors.pror.ProRConstants" %>
<%--
Start of user code imports
--%>
<%--
End of user code
--%>

<%@ page contentType="text/html" language="java" pageEncoding="UTF-8" %>

<%
ServiceProviderCatalog catalog = (ServiceProviderCatalog)request.getAttribute("catalog");
%>
<%--
Start of user code getRequestAttributes
--%>
<%--
End of user code
--%>

<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>ProR OSLC Adapter: Service Provider Catalog</title>

    <link href="<c:url value="/import/bootstrap.min.css"/>" rel="stylesheet">
    <link href="<c:url value="/import/sticky-footer-navbar.css"/>" rel="stylesheet">

    <%--
Start of user code (RECOMMENDED) headStuff
    --%>
    <%--
End of user code
    --%>
  </head>

  <body>

  <!-- Fixed navbar -->
  <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
          <div class="navbar-header">
              <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                  <span class="sr-only">Toggle navigation</span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
                  <span class="icon-bar"></span>
              </button>
              <a class="navbar-brand" href="<c:url value="/services/catalog/singleton"/>"><%= ProRConstants.ADAPTOR_TITLE_LABEL_FOR_HTML %></a>
          </div>
      </div>
  </nav>

  <!-- Begin page content -->
  <div class="container">
      <div class="page-header">
          <h2>Service Provider Catalogue</h2>
      </div>

	<%--
Start of user code (RECOMMENDED) bodyStuff
      --%>
      <%--
End of user code
      --%>
      
	<p class="lead">Service Providers</p>

      <% for (ServiceProvider s : catalog.getServiceProviders()) { %>
      <p>Service Provider: <%= s.getTitle() %></p>
      <p><a href=" <%= s.getAbout() %>">
          <%= s.getAbout() %></a></p><br>
      <% } %>

      </div>

  <footer class="footer">
      <div class="container">
          <p class="text-muted"><%= ProRConstants.ADAPTOR_FOOTER_LABEL_FOR_HTML %></p>
      </div>
  </footer>

  <script src="<c:url value="/import/bootstrap.min.js"/>"/></script>

</body>
</html>


